!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: activation.gs 26311 2011-08-01 22:42:15Z stever $
!
! Superclass Hierarchy:
!   Activation, Object.
!
!=========================================================================

removeallmethods Activation
removeallclassmethods Activation

category: 'For Documentation Installation only'
classmethod: Activation
installDocumentation

| doc |
doc := GsClassDocumentation _newForObsoleteGsClass: self asOfGsVersion: '5.0'.

doc documentClassWith: (GsDocText new).

self description: doc.
%
category: 'Copying'
method: Activation
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Instance Creation'
classmethod: Activation
new

"Disallowed."

self shouldNotImplement: #new
%

