!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: obsrccollbkt.gs 26311 2011-08-01 22:42:15Z stever $
!
! Superclass Hierarchy:
!   ObsoleteRcCollisionBucket, AbstractCollisionBucket, Array,
!   SequenceableCollection, Collection, Object.
!
!=========================================================================

! Create the class ObsoleteRcCollisionBucket, if it does not already exist

expectvalue %String
run
  AbstractCollisionBucket _newKernelSubclass: 'ObsoleteRcCollisionBucket'
    instVarNames: #()
    classVars: #()
    classInstVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    constraints: #[  ]
    instancesInvariant: false
    isModifiable: false
    reservedOop: 685
%
expectvalue true
run
ObsoleteRcCollisionBucket classHistory at: 2 put: RcCollisionBucket .
^ ObsoleteRcCollisionBucket classHistory size == 2
%

removeallmethods ObsoleteRcCollisionBucket
removeallclassmethods ObsoleteRcCollisionBucket

category: 'For Documentation Installation only'
classmethod: ObsoleteRcCollisionBucket
installDocumentation

| doc txt |

doc := GsClassDocumentation _newForObsoleteGsClass: self asOfGsVersion: '5.0'.

txt := (GsDocText new) details:
'Existing instances should be migrated to RcCollisionBucket or otherwise
 processed as required, and then should be removed.' .
doc documentClassWith: txt.

self description: doc.
%

! ------------------- Class methods for ObsoleteRcCollisionBucket
! ------------------- Instance methods for ObsoleteRcCollisionBucket

! deleted _canonicalizeSymbolAt: offset oldSymbol: oldSym newSymbol: newSym


